function [] = change_input_variables (a, b)

% This function demmonstrates how global variables can be used. 
% This is important because passing large arrays may double the memory
% requirements and can ultimately cause your program to go out of memory

% Here we are declaring that variables c and d will be used from the
% workspace where the function was called; we do not need to pass c and d
% as inputs to the function
global ag bg

% change values of all four variables
a = 100;
b = 200;
ag = 100;
bg = 200;

% print variables (preceeded and followed by 1 empty line)
% use %d to print integer variables (%f is for floating point)
fprintf(1, 'Within: a = %d, b = %d, ag = %d, bg = %d\n', a, b, ag, bg);

return