function [] = export_figure(handle)

set(handle, 'PaperUnits', 'inches');
papersize = get(handle, 'PaperSize');

% this will be figure size
width = 5;
height = 4;

% center the figure on the paper
left = (papersize(1) - width) / 2;
bottom = (papersize(2) - height) / 2;

% position the figure on the paper
set(handle, 'PaperPosition', [left, bottom, width, height]);

% make an eps file, resolution 600dpi
print -depsc -r600 myfig

% make a png file, resolution 600dpi
print -dpng -r600 myfig

% make a tiff file, resolution 300dpi
print -dtiff -r300 myfig

return